Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451265 - Refresh destroys patch
Summary: Refresh destroys patch
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: quilt
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: ActualBug
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 17:04 UTC by Klaus Ethgen
Modified: 2017-04-06 10:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 10:29:40 UTC


Attachments (Terms of Use)
Patch the refresh file (deleted)
2008-06-13 17:04 UTC, Klaus Ethgen
no flags Details | Diff

Description Klaus Ethgen 2008-06-13 17:04:55 UTC
Description of problem:
Using "quilt refresh" will destroy the patch file cause to much quoting in the 
refresh script.

Version-Release number of selected component (if applicable):
0.46

How reproducible:
Use "quilt push" within a quilt managed tree with a patch that patches two (or 
more) files (!) and then run "quilt refresh".

Actual results:
The resulting patch will be destroyed. (In fact it will do a diff between the 
two files and not between the original and the changed file.)

Expected results:
Mostly the same patch than before the refresh.

Additional info:
To fix it apply the attached patch.

If this parts are quoted no list will be created but a simple value will be 
created. That's the reason why the 'echo "$files"' do not work properly within 
the corrected version. In the uncorrected version it do print one string with 
one (or more) linefeed separated file names. In the corrected version it would 
just print the first value of the list. (So I fixed this also.)

Comment 1 Klaus Ethgen 2008-06-13 17:04:55 UTC
Created attachment 309256 [details]
Patch the refresh file

Comment 2 Fedora End Of Life 2017-04-06 10:29:40 UTC
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.